/////////////////////////////////////////////////////////////////
//	Brushing & Scripting                         		 	  //
//	By: FaT NiPple CreaTionS								 //
//  Based on: tj_dingo5 bluewater							//
//	Updated from 14/11/2009 to 17/05/2020 by [ FaTNiPple ] //
////////////////////////////////////////////////////////////

textures/dingowaterfall/waterfall
{
	qer_editorimage textures/dingowaterfall/waterfall.tga
	qer_trans .7
	q3map_globaltexture
	q3map_lightimage textures/dingowaterfall/waterfall3.tga
	q3map_backsplash 1 23
	q3map_surfacelight 200
	q3map_lightsubdivide 128
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
		
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5
	{
		map textures/dingowaterfall/waterfall2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll -.0 -2.2
	}
	{
		map textures/dingowaterfall/waterfall.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll -.0 -3.2
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/dingowaterfall/splash
{
	qer_editorimage textures/dingowaterfall/splash.tga
	qer_trans .4
	q3map_globaltexture
	q3map_lightimage textures/dingowaterfall/waterfall3.tga
	q3map_backsplash 1 23
	q3map_surfacelight 200
	q3map_lightsubdivide 128
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	
	cull disable
	deformVertexes autosprite
	deformVertexes move 15.2671 0 21.0681 sawtooth 0 1 0 0.99758 
	{
		clampmap textures/dingowaterfall/splash.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 1 -0.75 0 0.99758 
		tcMod rotate 3
		tcMod stretch sawtooth 1 0 0 0.99758 
		alphaGen wave sawtooth 0.3 -0.3 0 0.99758
	}
	{
		clampmap textures/dingowaterfall/splash.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 1 -0.75 0 1.00822 
		tcMod rotate -3
		tcMod stretch sawtooth 1 0 0 1.00822 
		alphaGen wave sawtooth 0.3 -0.3 0 1.00822 
	}
	{
		clampmap textures/dingowaterfall/splash.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 1 -0.75 0 0.922809 
		tcMod rotate 4
		tcMod stretch sawtooth 1 0 0 0.922809 
		alphaGen wave sawtooth 0.3 -0.3 0 0.922809 
	}
	{
		clampmap textures/dingowaterfall/splash.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 1 -0.75 0 1.02932 
		tcMod rotate -4
		tcMod stretch sawtooth 1 0 0 1.02932 
		alphaGen wave sawtooth 0.3 -0.3 0 1.02932
	}
	{
		clampmap textures/dingowaterfall/splash.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 1 -0.75 0 0.958803 
		tcMod rotate 1
		tcMod stretch sawtooth 1 0 0 0.958803 
		alphaGen wave sawtooth 0.3 -0.3y 0 0.958803 
	}
	{	
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}