/////////////////////////////////////////////////////////////////
//	Brushing & Scripting                         		 	  //
//	By: FaT NiPple CreaTionS								 //
//	Made: 10/04/2020 [ FaTNiPple ] aka (AUS)^DINGO.			//
/////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////
// Slick Textures

textures/tjdingo12/slick12
{
	q3map_lightimage textures/tjdingo12/slick12.tga
	qer_editorimage textures/tjdingo12/slick12.tga
	q3map_backsplash 1 25
	q3map_surfacelight 200
	q3map_lightsubdivide 128
	q3map_nonplanar
	noPicMip
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nolightmap
	{
		map textures/tjdingo12/slick12.tga
	    rgbGen wave square 0 1 0 .5
		tcMod turb 0 0.05 0 0.15
		tcmod scroll .020 .01
	}
	{
		map textures/tjdingo12/slick121.tga
		blendfunc add
	    rgbGen identity
		tcmod scroll .025 .01
	}
	{
		map $lightmap
	    rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/tjdingo12/shiney.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		tcGen environment
	}
}

textures/tjdingo12/red
{
	qer_editorimage textures/tjdingo12/red.jpg
	qer_trans 0.8
    cull none
	surfaceparm trans
	surfaceparm glass
    surfaceparm nodamage
	surfaceparm slick
	surfaceparm nolightmap
	
	q3map_surfacelight 7000
	q3map_backSplash 0.5 16
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
        map textures/tjdingo12/red.jpg
		tcmod scroll 0.05 .45
       	blendfunc GL_ONE GL_ONE 
     	rgbGen identity
		tcgen environment
	}
}

// End of Slick Textures
/////////////////////////////////////////////////////////////
// Custom Alpha Textures

textures/tjdingo12/thy_art_is_murder
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo12/thy_art_is_murder.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo12/dethklok
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo12/dethklok.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo12/Drrockso
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo12/Drrockso.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo12/Facebones
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo12/Facebones.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo12/mordhausfly
{
	polygonOffset
	entityMergable
	{
		map textures/tjdingo12/mordhausfly.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/tjdingo12/palm_leaves
{
	qer_editorimage textures/tjdingo12/palm_leaves.tga
	cull none
	noPicMip
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	qer_trans 0.99
	
	deformVertexes wave 194 sin 0 1 0 .4
	deformVertexes wave 194 sin 0 2 0 .1
	deformVertexes wave 30 sin 0 1 0 .3
	
	{
		map textures/tjdingo12/palm_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/tjdingo12/vine
{
	cull none
	noPicMip
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	qer_trans 0.99
	
	deformVertexes wave 64 sin 0 10 0 .3
	
	{
		map textures/tjdingo12/vine.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/tjdingo12/seaweed
{
	qer_editorimage textures/tjdingo12/seaweed.tga
	cull none
	noPicMip
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	
	deformVertexes wave 200 sin 0 -10 0 0.09
	
	{
		map textures/tjdingo12/seaweed.tga
		rgbGen identity	
	}
}

textures/tjdingo12/burn_flr_m01a
{
	qer_editorimage textures/tjdingo12/burn_flr_m01a.tga
	
	q3map_globaltexture
	q3map_lightimage textures/tjdingo12/ember1a.tga
	q3map_backsplash 1 23
	q3map_surfacelight 500
	q3map_lightsubdivide 128
	surfaceparm woodsteps
	surfaceparm nodamage
	noPicMip

	{
		map textures/tjdingo12/ember1a.tga
		rgbGen wave sin 1 0.05 0 0.05
		tcmod scroll 0.05 .45
	}
	{
		map textures/tjdingo12/burn_flr_m01a.tga
		blendfunc blend
		rgbGen vertex
	}
}

// End of Custom Alpha Textures
//////////////////////////////////////////////////////////////////////////////
//Custom fixes and shit fuck yeah i drunk, hot 37c saturday arvo 3:17pm 25/04/20, 
//Anzac day, lest we forget, aussie aussie aussie, oi oi oi.
//drinking my home brew beer off tap, fuck you corona virus, 
//i ment to be in thailand today, also taken 2hrs to get these below right lol!!!

textures/tjdingo12/waternodraw
{
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/tjdingo12/bricks
{
	surfaceparm gravelsteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/bricks.tga
		rgbGen vertex
	}
}

textures/tjdingo12/dirt
{
	surfaceparm grasssteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/dirt.jpg
		rgbGen vertex
	}
	{
		map textures/tjdingo12/clouds.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
		tcMod scroll -0.05 0.05
		tcmod transform 1 0 1 1 1 1
	}
}

textures/tjdingo12/grass
{
	surfaceparm grasssteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/grass.jpg
		rgbGen vertex
	}
	{
		map textures/tjdingo12/clouds.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
		tcMod scroll -0.05 0.05
		tcmod transform 1 0 1 1 1 1
	}
}

textures/tjdingo12/grayglass
{
	surfaceparm glass
	surfaceparm nodamage
	{
		map textures/tjdingo12/grayglass.tga
		rgbGen vertex
	}
}

textures/tjdingo12/ground1
{
	surfaceparm grasssteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/ground1.jpg
		rgbGen vertex
	}
	{
		map textures/tjdingo12/clouds.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
		tcMod scroll -0.05 0.05
		tcmod transform 1 0 1 1 1 1
	}
}

textures/tjdingo12/pattentrim
{
	surfaceparm gravelsteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/pattentrim.jpg
		rgbGen vertex
	}
}

textures/tjdingo12/Rock1
{
	surfaceparm grasssteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/Rock1.tga
		rgbGen vertex
	}
	{
		map textures/tjdingo12/clouds.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
		tcMod scroll -0.05 0.05
		tcmod transform 1 0 1 1 1 1
	}
}

textures/tjdingo12/sand
{
	surfaceparm grasssteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/sand.tga
		rgbGen vertex
	}
	{
		map textures/tjdingo12/clouds.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
		tcMod scroll -0.05 0.05
		tcmod transform 1 0 1 1 1 1
	}
}

textures/tjdingo12/searock
{
	surfaceparm gravelsteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/searock.tga
		rgbGen vertex
	}
}

textures/tjdingo12/searock2
{
	qer_editorimage textures/tjdingo12/searock2.tga
	surfaceparm gravelsteps
	surfaceparm nodamage
 	q3map_nonplanar
 	q3map_shadeangle 160
	q3map_tcMod scale 0.5 0.5
	{
		map textures/tjdingo12/ripple.tga
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/tjdingo12/ripple.tga
		blendfunc add
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/tjdingo12/searock2.tga
		blendFunc GL_one GL_src_color
		rgbGen vertex
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}

textures/tjdingo12/bricks2
{
	qer_editorimage textures/tjdingo12/bricks2.tga
	surfaceparm gravelsteps
	surfaceparm nodamage
 	q3map_nonplanar
 	q3map_shadeangle 160
	q3map_tcMod scale 0.5 0.5
	{
		map textures/tjdingo12/ripple.tga
		tcmod scale -.25 -.25
		tcmod scroll .1 .04
		rgbgen wave sin .75 0 .5 2
	}
	{
		map textures/tjdingo12/ripple.tga
		blendfunc add
		tcmod scale .25 .25
		tcmod scroll .1 .1
		rgbgen wave sin .75 0 0 2
	}
	{
		map textures/tjdingo12/bricks2.tga
		blendFunc GL_one GL_src_color
		rgbGen vertex
	}
	{
		rgbGen identity
		map $lightmap
		blendfunc gl_dst_color gl_zero
	} 
}

textures/tjdingo12/skulls
{
	surfaceparm gravelsteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/skulls.tga
		rgbGen vertex
	}
}

textures/tjdingo12/stonewall
{
	surfaceparm gravelsteps
	surfaceparm nodamage
	{
		map textures/tjdingo12/stonewall.tga
		rgbGen vertex
	}
}

//End
//////////////////////////////////////
//Egypt, stolen from hours2 map, rip was fun back in 2004

models\mapobjects\egypt\anubishead
{

	{
		map models\mapobjects\egypt\blackdog.tga
		rgbGen identityLighting
	}
	{
		map models\mapobjects\egypt\enviromap-gold.tga
		blendfunc filter
		rgbGen identityLighting
		tcGen environment 
	}

	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}